﻿/*
 Copyright aswing.org, see the LICENCE.txt.
*/

import org.aswing.AbstractTabbedPane;
import org.aswing.awml.AbstractParser;
import org.aswing.awml.AwmlParser;
import org.aswing.awml.AwmlUtils;
import org.aswing.Component;

/**
 *  Parses tabs for {@link org.aswing.JAccordionJTabbedPane} and
 *  {@link org.aswing.JAccordion}.
 * 
 * @author Igor Sadovskiy
 */
class org.aswing.awml.component.tab.TabParser extends AbstractParser {
	
	private static var ATTR_TITLE:String = "title";
	private static var ATTR_TOOL_TIP:String = "tool-tip";
	
	
	/**
	 * Constructor.
	 */
	public function TabParser(Void) {
		super();
	}
	
	public function parse(awml:XMLNode, tabPane:AbstractTabbedPane):AbstractTabbedPane {
		
		// TODO icon support 
	
		// init title
		var title:String = getAttributeAsString(awml, ATTR_TITLE, "");
		
		// init tool tip
		var tip:String = getAttributeAsString(awml, ATTR_TOOL_TIP, null);
	
		// get component to add
		for (var i = 0; i < awml.childNodes.length; i++) {
			
			// check if child node belongs to component		
			if (AwmlUtils.isComponentNode(awml.childNodes[i].nodeName)) {
	
				// parse component
				var component:Component = Component(AwmlParser.parse(awml.childNodes[i]));
				if (component != null) {
					// add tab to the tabbed pane
					tabPane.appendTab(component, title, null, tip);
					
					// exit loop once first component is successfully added
					break;
				}
			}
		}
	
		return tabPane;
	}

}